Subject: bug#24459: 24.5; cl-flet and cl-labels are not properly documented

From: Phil Sainty <[email-masked]>
Date: Thu, 22 Sep 2016 00:11:29 +1200

On 20/09/16 14:42, [email-masked] wrote:
> Docstrings indeed shouldn't be too verbose, but it may be worth linking
> to the CL manual which has some more details on these macros.
>
> (cl) Function Bindings,
>
https://www.gnu.org/software/emacs/manual/html_node/cl/Function-Bindings.html

Strongly agreed; but that documentation should also include details
on using cl-letf for dynamic-scope function binding, and the link to
that info node should appear in the docstrings of all three macros.

I also think the summary text at the top of the node should include
something like "The practical difference between the following options
is the scope of the bindings, and therefore which one you use will be
determined by the scope you require."

-Phil